## visad.data.fits
Class GenericArrayConverter

    java.lang.Object
      visad.data.fits.GenericArrayConverter

Direct Known Subclasses:
  BooleanArrayConverter, ByteArrayConverter, DoubleArrayConverter, FloatArrayConverter, IntegerArrayConverter, LongArrayConverter, ShortArrayConverter

public abstract class GenericArrayConverter
extends Object

Field Summary
`(package private) int[]` `lengths`
`(package private) Object` `o`

Constructor Summary
`GenericArrayConverter(Class type, int[] lengths)`

Method Summary
`(package private) abstract void` `assign(Object obj, int index, double value)`
`Object` `getColumnMajor(double[][] values)`
`Object` `getRowMajor(double[][] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### o

    Object o

### lengths

    int[] lengths

Constructor Detail

### GenericArrayConverter

    public GenericArrayConverter(Class type,
                                 int[] lengths)

Method Detail

### assign

    abstract void assign(Object obj,
                         int index,
                         double value)

### getRowMajor

    public Object getRowMajor(double[][] values)

### getColumnMajor

    public Object getColumnMajor(double[][] values)